wiki:ffmpeg

Version 5 (modified by ken@…, 12 years ago) ( diff )

--

FFmpeg

Compiling this version for x86_64 will fail with the usual '... relocating ... use -fPIC' message. Dont get this problem if I checkout the latest version from cvs.

But then, there's another problem with glibc includes (specially /usr/include/linux/videodev2.h). I broke the lfs glibc headers rule, and compiled with the latest headers I got with my kernel. Seems to be ok for now...

There is a problem with the command :

make prefix="new prefix" install.

The libs are correctly installed in the new prefix but software are installed in this defined in the configure script.

using ffmpeg-0.5

For people who like to use released versions, this appears to work well on both i686 and x86_64 (last tested in December 09 on x86_64 using LFS-svn).

Unfortunately, 0.5 is now getting a little old as far as "sister" projects are concened. In particular, I had to downgrade x264 to x264-snapshot-20090327-2245 and ffmpeg2theora to 0.24.

My configure options were

./configure --prefix=/usr --enable-shared --disable-static \ --enable-pthreads --enable-gpl \ --enable-libmp3lame --enable-postproc \ --enable-libtheora --enable-libvorbis \ --enable-swscale --enable-libfaad --enable-libx264 \ --enable-libxvid

and I finished up with install-man to get man pages for ffmpeg, ffplay, ffserver (no attempt to build any other documentation)

end of 0.5

Up
Top

Note: See TracWiki for help on using the wiki.